#impede__overlay {
  all: revert;
  position: fixed; /* Sit on top of the page content */
  display: flex;
  justify-content: center;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #f9f9f9;
  /* Black background with opacity */
  /* z-index
     * i32 max, above any rational z-index
     * z-index used instead of display: none because css may not have loaded before script runs
     */
  z-index: 2147483647;
}

#impede__center {
  all: initial;
  background-color: white;
  height: 100%;
  margin: auto;

  width: 100%;
  max-width: 31em;

  /* display: inline-flex; */
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
}

#impede__center * {
  all: unset;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen,
    Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
}

#impede__prompt {
  text-align: center;
  padding: 2em;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  flex-wrap: wrap;
  /* flex-flow: column wrap;
  flex-direction: row; */
  height: auto;
}

#impede__prompt span,
#impede__center input {
  text-transform: uppercase;
  font-size: small;
  padding: 1em;
  background-color: #f9f9f9;
  border-radius: 3px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12),
    0 3px 1px -2px rgba(0, 0, 0, 0.2);
  color: #333;
  flex: 0 0 auto;

  margin-right: 0.5em;
  min-width: 9ch;
  min-height: 1em;
}

#impede__prompt input {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  box-sizing: border-box;
  /* width: 100%; */
  padding: 0.6rem;
  background: #fff;
  border: 1px solid #bbb;
  outline: 0;
  transition: border-color 0.3s ease;
  flex: 1;
  max-width: 5em;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12),
    0 3px 1px -2px rgba(0, 0, 0, 0.2);
}

#impede__prompt input[type="number"] {
  /* width: 3em; */
  border-radius: 3px;
  letter-spacing: 0.125em;
  font-size: 1.125em;
  color: #495057;
  -moz-appearance: textfield;
}

#impede__prompt input[type="number"]:focus {
  border-color: transparent;
}

#impede__prompt input[type="number"]::-webkit-outer-spin-button,
#impede__prompt input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

#impede__alphabet {
  display: grid;
  grid-auto-flow: column;
  justify-content: center;
  padding: 1em;
  padding-top: 0em;
  grid-gap: 1em;
  grid-template: repeat(7, auto) / repeat(4, minmax(0em, 5em));
}

#impede__alphabet .kv {
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-content: center;
  text-transform: uppercase;
  font-size: small;
  text-align: center;
  border-radius: 3px;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12),
    0 3px 1px -2px rgba(0, 0, 0, 0.2);
  color: #333;
}

#impede__alphabet .kv>div {
  padding: 0.75em 0;
}

#impede__alphabet .kv>div:first-child {
  background: #f9f9f9;
  border-radius: 3px 0 0 3px;
}

#impede__alphabet> :not(.kv) {
  grid-row: auto;
  grid-column: auto;
}
